@mixin upload($color: v(color-info, $color-info)) {
  border: 1px solid var(--pure-0);
  box-shadow: 0 3px 6px var(--gray-20);
  margin-bottom: var(--spacing-scale-2xh);
  min-height: 248px;
  padding-bottom: var(--spacing-scale-2x);
  padding-left: 360px;
  padding-right: var(--spacing-scale-6x);
  padding-top: var(--spacing-scale-4x);
  @include media-breakpoint-down(sm) {
    background-position: center 0;
    padding-left: var(--spacing-scale-2x);
    padding-right: var(--spacing-scale-2x);
    padding-top: 180px;

    .br-button {
      &:hover {
        background-color: transparent;
      }
    }

    &:hover {
      border: 1px solid var(--blue-10);
      // cursor: pointer;
      cursor: copy;
    }
  }

  &:hover {
    border: 1px solid var(--blue-10);
    // cursor: pointer;
    cursor: copy;
  }

  .upload-header {
    color: var(--gray-70);
    font-size: var(--font-size-scale-up-03) !important;
    font-weight: var(--font-weight-regular) !important;
  }

  .upload-input {
    display: none;
  }

  .upload-info {
    color: var(--color-info, $color-info);
    display: block;
    margin: var(--spacing-scale-2x) 0;
    padding-left: var(--spacing-scale-5x);

    .fa-info-circle {
      font-size: var(--font-size-scale-up-03) !important;
      margin-left: calc(#{var(--spacing-scale-5x)} * -1);
      position: absolute;
    }
  }

  .upload-file-list {
    ul {
      padding-left: 0;
    }

    li {
      border-bottom: 1px solid var(--gray-20);
      color: var(--color-info);
      font-size: var(--font-size-scale-base) !important;
      list-style: none;
      padding: var(--spacing-scale-base) 0 var(--spacing-scale-base) var(--spacing-scale-base);
      position: relative;
      width: 100%;

      .del {
        cursor: pointer;
        display: inline;
        line-height: 24px;
        position: absolute;
        right: 8px;
      }
    }

    span {
      display: inline-block;
      overflow: hidden;
      padding-right: var(--spacing-scale-3x);
      text-overflow: ellipsis;
      white-space: nowrap;
      width: 100%;
    }
  }

  .upload-add {
    color: var(--color-info);
    // cursor: pointer;
    cursor: copy;
    display: block;
    font-weight: var(--font-weight-regular);
    margin: var(--spacing-scale-4x) 0;
    padding-left: var(--spacing-scale-4x);

    .fa-plus {
      font-size: var(--font-size-scale-up-01) !important;
      margin-left: calc(#{var(--spacing-scale-3xh)} * -1);
      margin-top: 0;
      position: relative;
    }
  }

  .upload-size {
    text-align: right;
    visibility: hidden;
  }
}

@mixin upload-state {
  /*** Estados ***/
  @each $state, $color in (success, var(--color-success)), (danger, var(--color-danger)),
    (warning, var(--color-warning)), (info, var(--color-info)) {
    &.#{$state},
    &[data-#{$state}] {
      .upload-button {
        border-color: $color;
      }
      .feedback.color-#{$state} {
        align-items: center;
        background: $color;
        color: var(--pure-0) !important;
        display: inline-flex;
        height: 35px;
        margin-bottom: var(--spacing-scale-base);
        padding: 5px;
      }
      @if ($state == warning) {
        .feedback.color-warning {
          color: var(--gray-80) !important;
        }
      }
    }
  }
}
